package ca.phon.app.session.editor.view.ipa_lookup;

import java.util.ArrayList;
import java.util.Arrays;
import java.util.Collections;
import java.util.List;

import ca.phon.extensions.Extension;
import ca.phon.orthography.OrthoWord;
import ca.phon.util.Language;

/**
 * Extension for {@link OrthoWord} objects providing
 * a list of transcriptions for the given Orthography
 *
 */
@Extension(value=OrthoWord.class)
public class OrthoWordIPAOptions {
	
	private int selectedOption = 0;
	
	private final List<String> options = Collections.synchronizedList(new ArrayList<String>());
	
	private Language dictLang;
	

	public OrthoWordIPAOptions() {
		super();
	}
	
	public OrthoWordIPAOptions(String[] opts) {
		this(Arrays.asList(opts));
	}
	
	public OrthoWordIPAOptions(List<String> opts) {
		super();
		this.options.addAll(opts);
	}

	public Language getDictLang() {
		return dictLang;
	}
	
	public void setDictLang(Language dictLang) {
		this.dictLang = dictLang;
	}
	
	public List<String> getOptions() {
		return Collections.unmodifiableList(options);
	}

	public void setOptions(List<String> options) {
		this.options.clear();
		this.options.addAll(options);
	}
	
	public int getSelectedOption() {
		return this.selectedOption;
	}
	
	public void setSelectedOption(int option) {
		this.selectedOption = option;
	}
	
}
